#ifndef __VIDDRV__
#define __VIDDRV__

   #include "xgstypes.h"
   #include "ddraw.h"

   extern      PIXEL	                  *vid_lines[2048];
   extern      vid_color               vid_textcolors[16];
   extern      vid_color               vid_supercolors[256];
   extern      LPDIRECTDRAW            g_pDD;
   extern      LPDIRECTDRAW2           g_pDD2;
   extern      LPDIRECTDRAWSURFACE     g_pDDBackBuffer;
   extern      LPDIRECTDRAWSURFACE     g_pDDPrimarySurface;
   extern      PALETTEENTRY			   g_pDDPaletteEntry[256];
   extern      LPDIRECTDRAWPALETTE	   g_pDDPalette;
   extern      DDSURFACEDESC           g_DDBackBufferSurfaceDesc;
   extern      DDSURFACEDESC           g_DDPrimarySurfaceDesc;
   extern      int	                  vid_out_width,vid_out_height;
   extern      int                     vid_out_x,vid_out_y;
   extern      long                    g_lChangeVideoMode;
   extern      tRGB16DEF               g_RGB16DEF;
   extern      long                    g_lVidDebug;
   extern      long                    g_lParentWindow;

   void  VID_SetParentWindow(long lParentHwnd);
   int	VID_outputInit(void);
   void	VID_outputImage(void);
   void	VID_outputShutdown();
   void	VID_outputStatus1(char *);
   void	VID_outputStatus2(char *);
   void	VID_outputResize(int, int);
   void	VID_outputSetStandardColors();
   void	VID_outputSetSuperColors();
   void	VID_outputSetTextColors();
   void	VID_outputSetBorderColor();
   int   VID_GetDisplayModes(VARIANT *pvarDisplayModes);
   void  VID_PauseVideo();
   void  VID_RestoreVideoAfterPause();
   long FAR PASCAL VIDWindowProc(HWND hWnd,UINT message,WPARAM wParam,LPARAM lParam);

   // update proc called via multimedia timer
   void  CALLBACK VID_UpdateProc(UINT uID, UINT uMsg, DWORD dwUser,DWORD dw1, DWORD dw2);


#endif
