#ifndef __ADB__
#define __ADB__

   #include "Xgstypes.h"

   extern   byte	adb_m2mouseenable;
   extern   byte	adb_m2mousemvirq;
   extern   byte	adb_m2mouseswirq;
   extern   byte	ski_status_irq;
   extern   byte	ski_input_buffer[ADB_INPUT_BUFFER];
   extern   byte	ski_status_reg;
   extern   byte	ski_modifier_reg;
   extern   int	adb_grab_mode;
   extern   int	adb_pdl0, adb_pdl1;
   extern   byte	ski_button0;
   extern   byte	ski_button1;
   extern   int	ski_xdelta;
   extern   int	ski_ydelta;
   extern   int	ski_lastx;
   extern   int	ski_lasty;
   extern   int	ski_input_index;


   int ADB_init(void);
   void ADB_update(void);
   void ADB_reset(void);
   void ADB_shutdown(void);
   byte ADB_readKey(byte);
   byte ADB_clearKey(byte);
   byte ADB_readMouse(byte);
   byte ADB_readModifiers(byte);
   byte ADB_readCommand(byte);
   byte ADB_readStatus(byte);
   byte ADB_readM2MouseX(byte);
   byte ADB_readM2MouseY(byte);
   byte ADB_readCommandKey(byte);
   byte ADB_readOptionKey(byte);
   byte ADB_setCommand(byte);
   byte ADB_setStatus(byte);
   byte ADB_triggerPaddles(byte);
   byte ADB_readPaddle0(byte);
   byte ADB_readPaddle1(byte);
   byte ADB_readPaddle2(byte);
   byte ADB_readPaddle3(byte);


#endif