#ifndef __EMUL__
#define __EMUL__

   #include "xgstypes.h"

   extern   int	   emul_vblirq;
   extern   int	   emul_qtrsecirq;
   extern   int	   emul_onesecirq;
   extern   int	   emul_scanirq;
   extern   int	   emul_speed;
   extern   int	   emul_speed2;
   extern   int	   emul_vbl_count;
   extern   char	   emul_buffer[256];
   extern   int	   emul_target_cycles; 
   extern   double	emul_target_speed;
   extern   int      emul_period;

   long  EMUL_getCurrentTime(void);
   void  EMUL_doVBL(void);
   void  EMUL_hardwareUpdate(word32);
   void  EMUL_Initialize();
   void	EMUL_Shutdown();
   int	EMUL_run(void);
   void  EMUL_reset(void);
   void  EMUL_trace(int val);
   void  EMUL_start();
   void  EMUL_pause();
   void  EMUL_stop();
   void  EMUL_nmi(void);
   void  EMUL_handleWDM(byte val);
   byte  EMUL_getVBL(byte);
   DWORD WINAPI EMUL_EmulatorRunThread(LPVOID lpParameter);

#endif

