
#include "super.h"
#include "Xgstypes.h"
#include "xgsmemory.h"
#include "video.h"
#include "vid-drv.h"
#include "vid-drv_pixel.h"


void VID_refreshSuperHires()
{
	byte	v,scb;
	//register PIXEL	*scrn,*scrn2;
	int	a,palette,pixel,lastpixel,line_changed;
	int	row,col,fillmode;
	long myvidpixel;

	VID_outputSetSuperColors();

	lastpixel = 0;
	for (row = 0 ; row < 200 ; row++) 
   {
		scb = slow_memory[0x019D00 + row];
		fillmode = ((scb & 0x20) == 0x20);

		palette = (scb & 0x0F) << 4;
		line_changed = (mem_slowram_changed[0x019D] &
				mem_change_masks[row]) || fillmode;

		if (scb & 0x80) 
      {
			for (col = 0 ; col < 160 ; col++) 
         {
				a = 0x012000 + (row * 160) + col;
				if (line_changed ||
				    (mem_slowram_changed[a >> 8] &
				     mem_change_masks[a & 0xFF])) 
                  {
					      v = slow_memory[a];
					      //scrn = vid_lines[row * 2] + (col * 4);
					      //scrn2 = vid_lines[row * 2 + 1] + (col * 4);
					      pixel = (v & 0x03) + palette + 12;
                     
                     VID_putPixel((col*4)+3,row*2,pixel,0);
                     VID_putPixel((col*4)+3,(row*2)+1,pixel,0);
                     myvidpixel = (pixel << 24);

					      pixel = ((v >> 2) & 0x03) + palette + 8;
					      myvidpixel |= (pixel << 16);
                     VID_putPixel((col*4)+2,row*2,pixel,0);
                     VID_putPixel((col*4)+2,(row*2)+1,pixel,0);

					      pixel = ((v >> 4) & 0x03) + palette + 4;
					      myvidpixel |= (pixel << 8);
                     VID_putPixel((col*4)+1,row*2,pixel,0);
                     VID_putPixel((col*4)+1,(row*2)+1,pixel,0);

					      pixel = (v >> 6) + palette;
					      myvidpixel |= pixel;
                     VID_putPixel((col*4),row*2,pixel,0);
                     VID_putPixel((col*4),(row*2)+1,pixel,0);
					//*((int *)scrn) = *((int *)scrn2) = myvidpixel;

                     

               //*scrn = GETRGB(0xFF,0xFF,0xFF);
               //*scrn2 = GETRGB(0xFF,0xFF,0xFF);

					if (vid_xmin > (col * 4))
						vid_xmin = col*4;
					if (vid_xmax < ((col+1)*4))
						vid_xmax = (col+1)*4;
					if (vid_ymin > (row * 2))
						vid_ymin = row*2;
					if (vid_ymax < ((row+1)*2))
						vid_ymax = (row+1)*2;

				}
			}
		} else {
			for (col = 0 ; col < 160 ; col++) {
				a = 0x012000 + (row * 160) + col;
				if (line_changed ||
				    (mem_slowram_changed[a >> 8] &
				     mem_change_masks[a & 0xFF])) {
					v = slow_memory[a];
					//scrn = vid_lines[row * 2] + (col * 4);
					//scrn2 = vid_lines[row * 2 + 1] + (col *4);
					pixel = v >> 4;
					if (fillmode && !pixel)
						pixel = lastpixel;
					lastpixel = pixel;
					
               pixel += palette;

					myvidpixel = (pixel << 8);
					myvidpixel |= pixel;

					pixel = v & 0x0F;
					if (fillmode && !pixel)
						pixel = lastpixel;
					lastpixel = pixel;
					pixel += palette;

					myvidpixel |= (pixel << 24);
					myvidpixel |= (pixel << 16);
               
               VID_putPixel((col * 4),(row * 2),myvidpixel&0x000000FF,VID_PIXEL_SUPER);
               VID_putPixel((col * 4),(row * 2)+1,myvidpixel&0x000000FF,VID_PIXEL_SUPER);

               VID_putPixel((col * 4)+1,(row * 2),(myvidpixel)&0x000000FF,VID_PIXEL_SUPER);
               VID_putPixel((col * 4)+1,(row * 2)+1,(myvidpixel)&0xFF,VID_PIXEL_SUPER);

               VID_putPixel((col * 4)+2,(row * 2),(myvidpixel>>16)&0x000000FF,VID_PIXEL_SUPER);
               VID_putPixel((col * 4)+2,(row * 2)+1,(myvidpixel>>16)&0x000000FF,VID_PIXEL_SUPER);

               VID_putPixel((col * 4)+3,(row * 2),(myvidpixel>>16)&0x000000FF,VID_PIXEL_SUPER);
               VID_putPixel((col * 4)+3,(row * 2)+1,(myvidpixel>>16)&0x000000FF,VID_PIXEL_SUPER);

               //*scrn = GETRGB(0xFF,0xFF,0xFF);
               //*scrn2 = GETRGB(0xFF,0xFF,0xFF);

					//*((int *)scrn) = *((int *)scrn2) = myvidpixel;

					if (vid_xmin > (col*4)) 
						vid_xmin = col*4;
					if (vid_xmax < ((col+1)*4))
						vid_xmax = (col+1)*4;
					if (vid_ymin > (row*2))
						vid_ymin = row*2;
					if (vid_ymax < ((row+1)*2))
						vid_ymax = (row+1)*2;

				}
			}
		}
	}
	for (a = 0x0120 ; a < 0x019E ; a++) mem_slowram_changed[a] = 0;
}
